"use strict";
const sheep_components_sShareModal_canvasPoster_poster_user = require("./user.js");
const sheep_components_sShareModal_canvasPoster_poster_goods = require("./goods.js");
const sheep_components_sShareModal_canvasPoster_poster_groupon = require("./groupon.js");
function getPosterData(options) {
  switch (options.shareInfo.poster.type) {
    case "user":
      return sheep_components_sShareModal_canvasPoster_poster_user.user(options);
    case "goods":
      return sheep_components_sShareModal_canvasPoster_poster_goods.goods(options);
    case "groupon":
      return sheep_components_sShareModal_canvasPoster_poster_groupon.groupon(options);
  }
}
function formatImageUrlProtocol(url) {
  if (url.indexOf("http:") === 0) {
    url = url.replace("http:", "https:");
  }
  return url;
}
exports.formatImageUrlProtocol = formatImageUrlProtocol;
exports.getPosterData = getPosterData;
